Get Lobby Page URL

Using this method, an Operator can get Lobby Page URL by sending brand code and group code to this API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

In-case if you need a Lobby Page URL for a specific player, we request you to follow the Get Lobby Page URL for One Player API Page.
Link - https://docs.nagagames.com/reference/get-lobby-page-url-for-one-player

Request

API URL : {NagaGamesAPIDomain}/client/lobby-page
HTTP Method : GET

URL Parameters

Parameter NameDescriptionData TypeRequired
brandCodeAuto-generated code of the brand in Naga Games’s databaseStringYes
groupCodeAuto-generated code of the group in Naga Games’s databaseStringYes

Example

curl --request GET \
     --url 'https://api.stg.game.topplatform.online/client/lobby-page?brandCode=dtdr&groupCode=dpae' \
     --header 'accept: application/json'

Response

Response Data

Parameter NameDescriptionData Type
urlThe url of lobby pageString

Example

Success Response Example (HTTP status code 200)

{
    "url": "https://lobby.stg.game.topplatform.online/
}

Failure Response Example (HTTP status code 400)

{
  "message": "Brand Not Found",
  "code": 1201,
  "timestamp": "2023-07-24T12:49:20.684Z"
}
Query Params
string
required
Defaults to dtdr

Auto-generated code of the brand in Naga Games database

string
required
Defaults to dpae

Auto-generated code of the brand in Naga Game database

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json